Package org.pushingpixels.substance.api

# Class DecorationAreaType

java.lang.Object
org.pushingpixels.substance.api.DecorationAreaType

public final class DecorationAreaType extends Object
Enumeration of available decoration area types. This class is part of officially supported API.

Since:
  version 4.3

## Field Summary

Fields
Modifier and Type
Field
Description
`static final DecorationAreaType`
`FOOTER`
Any area that can be placed in the bottom portion of its window.
`static final DecorationAreaType`
`GENERAL`
Any general area that does not fit for the other types.
`static final DecorationAreaType`
`HEADER`
Any area that can be placed in the top portion of its window.
`static final DecorationAreaType`
`NONE`
The default decoration area type.
`static final DecorationAreaType`
`PRIMARY_TITLE_PANE`
Title pane of top-level windows (frames, dialogs).
`static final DecorationAreaType`
`PRIMARY_TITLE_PANE_INACTIVE`
Title pane of top-level windows (frames, dialogs) when not active.
`static final DecorationAreaType`
`SECONDARY_TITLE_PANE`
Title pane of non top-level windows (internal frames, desktop icons).
`static final DecorationAreaType`
`SECONDARY_TITLE_PANE_INACTIVE`
Title pane of non top-level windows (internal frames, desktop icons) when not active.
`static final DecorationAreaType`
`TOOLBAR`
Tool bar.

## Constructor Summary

Constructors
Constructor
Description
`DecorationAreaType(String displayName)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDisplayName()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PRIMARY_TITLE_PANE

public static final DecorationAreaType PRIMARY_TITLE_PANE
Title pane of top-level windows (frames, dialogs).

### PRIMARY_TITLE_PANE_INACTIVE

public static final DecorationAreaType PRIMARY_TITLE_PANE_INACTIVE
Title pane of top-level windows (frames, dialogs) when not active.

### SECONDARY_TITLE_PANE

public static final DecorationAreaType SECONDARY_TITLE_PANE
Title pane of non top-level windows (internal frames, desktop icons).

### SECONDARY_TITLE_PANE_INACTIVE

public static final DecorationAreaType SECONDARY_TITLE_PANE_INACTIVE
Title pane of non top-level windows (internal frames, desktop icons) when not active.

### TOOLBAR

public static final DecorationAreaType TOOLBAR
Tool bar.

### HEADER

public static final DecorationAreaType HEADER
Any area that can be placed in the top portion of its window. Menu bar is an example of a core Swing component. `JXHeader` and `JXTitledPanel` titled area (components from SwingX suite) are examples of third-party components.

### FOOTER

public static final DecorationAreaType FOOTER
Any area that can be placed in the bottom portion of its window. `JXStatusBar` component from SwingX suite is an example of a third-party component.

### GENERAL

public static final DecorationAreaType GENERAL
Any general area that does not fit for the other types. `JXTaskPaneContainer` component from SwingX suite is an example of a third-party component.

### NONE

public static final DecorationAreaType NONE
The default decoration area type. Components placed in areas with this type do not get any special background decoration painting.

## Constructor Details

### DecorationAreaType

public DecorationAreaType(String displayName)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getDisplayName

public String getDisplayName()